Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Order ID kullanarak ödeme işleminin detaylı bilgilerini getirir
GET
https://api-test.fincraft.com.tr/api/v1/payments/order/{orderId}
orderId
{ "id": "string", "createdDate": "2024-01-15T10:30:00Z", "amount": 100.50, "finalAmount": 100.50, "preAmount": 0.0, "walletAmount": 0.0, "currency": "TRY", "installment": 1, "referenceId": "uuid", "paymentType": "CARD", "source": "API", "paymentStatus": "SUCCESS", "transactionType": "AUTH", "authCode": "123456", "hostReferenceNo": "HOST123456", "transactionId": "TRANS123456", "orderId": "ORDER123456", "remaningTotalAmount": 100.50, "products": [], "riskAssessment": "string", "postAuthTransaction": null, "cardDetails": { "cardNumber": "****3456", "cardHolderName": "John Doe" } }
curl -X GET https://api-test.fincraft.com.tr/api/v1/payments/order/ORDER123456 \ -H "Authorization: Bearer YOUR_ACCESS_TOKEN"